Name:          googlecl
Version:       0.9.14
Release:       %mkrel 10
Summary:       This tool brings Google services to the command line
License:       ASL 2.0
URL:           http://code.google.com/p/googlecl/
Group:         Networking/Other

Source:        http://googlecl.googlecode.com/files/%{name}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: python 
BuildRequires: python-devel
Requires:      python
Requires:      python-gdata

%description

GoogleCL is a command-line utility that provides access to various Google
services. It streamlines tasks such as posting to a Blogger blog, adding events
to Calendar, or editing documents on Google Docs.

For example:
$ google blogger post --blog "My blog" --tags "python, googlecl" my_post.html
$ google calendar add "Lunch with Jason tomorrow at noon"
$ google docs edit --title "Shopping list" --editor vim

GoogleCL is a pure Python application that uses the Python gdata libraries to
make Google Data API calls from the command line.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

mkdir -p %{buildroot}%{_mandir}/man1
cp -a man/google.1 %{buildroot}%{_mandir}/man1

%files 
%doc README.txt README.config INSTALL.txt 
%{_mandir}/man1/google.1*
%{_bindir}/google
%{python2_sitelib}/%{name}-*.egg-info
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/*/*.py*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.9.14-10.mga6
+ Revision: 972046
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.14-9.mga6
+ Revision: 895172
- make it noarch thus fixing empty debuginfo
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.9.14-8.mga5
+ Revision: 747126
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.14-7.mga5
+ Revision: 726378
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.14-6.mga5
+ Revision: 679896
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.14-5.mga5
+ Revision: 628233
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.9.14-4.mga4
+ Revision: 522021
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 marja <marja> 0.9.14-3.mga4
+ Revision: 502284
- remove PYTHONDONTWRITEBYTECODE=
- make files list more explicit
- further clean spec a bit

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Tue Feb 05 2013 malo <malo> 0.9.14-1.mga3
+ Revision: 394688
- new version 0.9.14

* Sat Jan 12 2013 umeabot <umeabot> 0.9.13-2.mga3
+ Revision: 352462
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 malo <malo> 0.9.13-1.mga2
+ Revision: 219421
- spec clean-up after import from Mandriva
- update to newest version 0.9.13
- imported package googlecl


* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.9.11-1mdv2011.0
+ Revision: 600268
- Updated to 0.9.11.

* Fri Nov 12 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.9.10-2mdv2011.0
+ Revision: 596947
- rebuild for python 2.7

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 580755
- update to new version 0.9.10

* Sun Jun 20 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.9.5-1mdv2010.1
+ Revision: 548345
- Added manpage and deps
- Imported googlecl.
- Created package structure for googlecl.

